Consumers
GET /consumers/{id}/timeline
Get consumer activity timeline across all distribution types
GET
/
consumers
/
{id}
/
timeline
cURL
curl --request GET \
--url https://admin.fanfare.io/api/consumers/{id}/timeline \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/consumers/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/consumers/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/consumers/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activities": [
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceName": "<string>",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"type": "QUEUE",
"completedAt": "2023-11-07T05:31:56Z",
"dequeuedAt": "2023-11-07T05:31:56Z",
"enqueuedAt": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productImageUrl": "<string>",
"productName": "<string>",
"reason": "<string>",
"selectedVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalCount": 123
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Path Parameters
⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/consumers/{id}/timeline \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/consumers/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/consumers/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/consumers/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activities": [
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceName": "<string>",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"type": "QUEUE",
"completedAt": "2023-11-07T05:31:56Z",
"dequeuedAt": "2023-11-07T05:31:56Z",
"enqueuedAt": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productImageUrl": "<string>",
"productName": "<string>",
"reason": "<string>",
"selectedVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalCount": 123
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}